%define service sendmail
%define site fermi
%define firewallservice %{service}.%{site}
#
Summary: This will enable sendmail to accept mail from the outside world
Name: zz_sendmail_accept
Version: 2.0
Release: 2
Copyright: GPL
Group: SL
Vendor: Scientific Linux
Packager: Troy Dawson, Kevin Hill
requires: sendmail, m4
prereq: sendmail-cf
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}
Source1: %{firewallservice}
%description

This rpm modifies the sendmail.mc file and rebuilds sendmail.cf so sendmail
will accept mail from the outside world and not just localhost.

%install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/
chmod 755 $RPM_BUILD_ROOT/etc/sysconfig/*

%files
/etc/sysconfig/%{firewallservice}

%triggerin -- sendmail
#
# This modifies /etc/init.d/%{service} to poke holes in the firewall for it
#
if [ "$(grep /etc/sysconfig/%{firewallservice} /etc/init.d/%{service})" = "" ] ; then
  cat /etc/init.d/%{service} | sed 's:\(start().*\):\1\nif \[ -x /etc/sysconfig/%{firewallservice} \] ; then \n/etc/sysconfig/%{firewallservice} start\nfi:' > /etc/init.d/%{service}.tmp
  mv -f /etc/init.d/%{service}.tmp /etc/init.d/%{service}
  cat /etc/init.d/%{service} | sed 's:\(stop().*\):\1\nif \[ -x /etc/sysconfig/%{firewallservice} \] ; then \n/etc/sysconfig/%{firewallservice} stop\nfi:' > /etc/init.d/%{service}.tmp
  mv -f /etc/init.d/%{service}.tmp /etc/init.d/%{service}
  chmod 755 /etc/init.d/%{service}
fi
#
#

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	echo "sendmail.mc was already edited. delete sendmail.mc.rpmsave"
	echo "if you are sure you want to do this"
else
	cd /etc/mail
	cp sendmail.mc sendmail.mc.rpmsave
	cat sendmail.mc.rpmsave | sed 's/DAEMON_OPTIONS/dnl DAEMON_OPTIONS/' >sendmail.mc
	m4 sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

%postun

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	mv -f /etc/mail/sendmail.mc.rpmsave /etc/mail/sendmail.mc 
	m4 /etc/mail/sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

